/* Copyright (C) 1996,1997,1998,1999 by Salvador E. Tropea (SET),
   see copyrigh file for details */
#if defined(Uses_TStringable) && !defined(__TStringable__)
#define __TStringable__
class TStringable
{
public:
 TStringable() {};
 virtual ~TStringable() {};

 virtual void getText(char *dest, unsigned item, int maxLen)=0;
 virtual unsigned GetCount(void) { return Count; };

protected:
 unsigned Count;
};
#endif
